// MouseClient.h: interface for the MouseClient class.
/*! \file MouseClient.h
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOUSECLIENT_H__11A493E0_07F8_4B09_AAA5_4BF6847CC5FF__INCLUDED_)
#define AFX_MOUSECLIENT_H__11A493E0_07F8_4B09_AAA5_4BF6847CC5FF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "mouseMessage.h"

/*! 
 * \addtogroup PipeErrors
 @{ */
#define MI_UNKNOWN_ERROR		0L	//!< General Error
#define MI_SUCCESS				1L	//!< Message Read
#define MI_NO_MESSAGE			2L	//!< No message to dequeue
#define MI_INVALID_PTR			3L	//!< mouseMessage pointer was invalid
#define MI_NOT_CONNECTED		4L	//!< Client not connected to server
/*! @} */

/*!
 * \class MouseClient
 * \brief A client for reading mouseMessage from windows. 
 * \ingroup vccStub
 * This class dequeues messages from the pipe. The queue is stored 
 * 'on' the pipe by MousePipe.
 */
class MouseClient : public PClient  
{
public:
	DWORD deQueueMessage(mouseMessage *message);

	virtual DWORD connect();
	virtual void disconnect();

	MouseClient(const TString &);
	virtual ~MouseClient();
private:
	HANDLE hasMessage;	//!< Handle to the semaphore created by MousePipe

    TString semName;	//!< The semaphores name

};

#endif // !defined(AFX_MOUSECLIENT_H__11A493E0_07F8_4B09_AAA5_4BF6847CC5FF__INCLUDED_)
