// ScreenClient.h: interface for the ScreenClient class.
/*! \file ScreenClient.h
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SCREENCLIENT_H__EAC27B8D_B420_42E6_A672_F724550A28C1__INCLUDED_)
#define AFX_SCREENCLIENT_H__EAC27B8D_B420_42E6_A672_F724550A28C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*!
 * \class ScreenClient
 * \brief A client to send screen buffers from VCC.
 * \ingroup vccStub
 * This object is responsible for writting screen buffers to a pipe
 */
class ScreenClient : public PClient  
{
public:
	bool write(const int, const int, const int, const int, const RGBTRIPLE*, const LPBYTE);
	
    ScreenClient(const TString &);
private:
	/*! See the documentation of ScreenPipe::screenInfo */
	typedef struct screenInfo {
		int hdrSize;
		int bitCount;
		int clrUsed;
		int width;
		int height;
	} screenInfo;

};

#endif // !defined(AFX_SCREENCLIENT_H__EAC27B8D_B420_42E6_A672_F724550A28C1__INCLUDED_)
