// PServer.h: interface for the PServer class.
/*! \file PServer.h 
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PSERVER_H__57E5677C_537F_45F6_88FA_31884EA62D1A__INCLUDED_)
#define AFX_PSERVER_H__57E5677C_537F_45F6_88FA_31884EA62D1A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Pipe.h"

/*!
 * \class PServer
 * \brief A pipe server class
 * \ingroup win2vcc 
 * Handles the serving and disconnection of a Pipe.  
 * This is meant for use in a win32 program i.e. not a VCC model
 */
class PServer : public Pipe
{
public:
	HANDLE getConnectedEventHandle();

	DWORD getAttemptConnectResult() const;
	bool isConnected();

	virtual bool serve();
	virtual void disconnect();

	PServer(const TString&, const bool, const DWORD = 0);
	virtual ~PServer();

private:
	static DWORD WINAPI waitForClient(LPVOID);

	HANDLE hConnectThread;	//!< Handle to the connection thread. Exit code determines connection attept success

	DWORD in;		//!< The inbound buffer size
	DWORD out;		//!< The outbound buffer size

	// No thread safe guards added.  Structure of code ensures only one thread ever writting
	volatile bool connected; //!< Boolean indicating last known connection state
};


#endif // !defined(AFX_PSERVER_H__57E5677C_537F_45F6_88FA_31884EA62D1A__INCLUDED_)
