// Pipe.cpp: implementation of the Pipe class.
/*! \file Pipe.cpp
*/
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Pipe.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

/*!
 * The base class constructor constructs the pipes name and stores it as 
 * a constant TString.  The named disconnection events are created.
 */
Pipe::Pipe(const TString& name, const bool isOut)
: pipeName( TEXT("\\\\.\\pipe\\") + name ), isOutbound( isOut )
{
	serverStayConnected = CreateEvent(NULL, true, false, TEXT("SCEVENT") + name);
	clientStayConnected = CreateEvent(NULL, true, false, TEXT("CCEVENT") + name);

	assert( serverStayConnected != NULL );
	assert( clientStayConnected != NULL );
}

/*!
 * Base class Destructor
 */
Pipe::~Pipe()
{
	CloseHandle(serverStayConnected);
	CloseHandle(clientStayConnected);
}