// Pipe.h: interface for the Pipe class.
/*! \file Pipe.h
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PIPE_H__4E0F9317_9DC7_48CC_8CD0_8DC1E8FEBA8C__INCLUDED_)
#define AFX_PIPE_H__4E0F9317_9DC7_48CC_8CD0_8DC1E8FEBA8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*!
 * \class Pipe
 * \brief The Pipe Abstract class
 * \ingroup win2vcc 
 * The abstract class for pipe based communication with VCC
 */
class Pipe  
{
public:
	virtual void disconnect() = 0;

	Pipe(const TString&, const bool);
	virtual ~Pipe();

protected:
	HANDLE hPipe;				//!< Handle to the Pipe

	HANDLE clientStayConnected; //!< Event that should be signaled while a client should be connected
	HANDLE serverStayConnected; //!< Event that should be signaled while a server should be connected

	const TString pipeName;		//!< The named Pipes name
	const bool isOutbound;		//!< true if this pipe is outbound

};

#endif // !defined(AFX_PIPE_H__4E0F9317_9DC7_48CC_8CD0_8DC1E8FEBA8C__INCLUDED_)
