/*! \file errorCodes.h */

#if !defined(__ERRORCODES_H__INCLUDED)
#define __ERRORCODES_H__INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*! 
 * \addtogroup PipeErrors
 * \brief Return values for Pipes
 *
 * These are the enumerated return values for pipe functions
 @{ */
#define PC_FAILED				0L	//!< General Error
#define PC_CONNECTED			1L	//!< Connected successfully
#define PC_ALREADY_CONNECTED	2L	//!< Already connected successfully
#define PC_BUSY					3L	//!< Pipe is connected to another thread
#define PC_NOT_RESET			4L	//!< Previous connection not reset by server

//define STILL_ACTIVE	((DWORD)0x00000103L) Repeated for documentation purposes

#define PS_FAILED		0L				//!< General Error
#define PS_CONNECTED	1L				//!< Successfully connected
#define PS_CANCELLED	2L				//!< Waiting for client was cancelled
#define PS_WAITING		STILL_ACTIVE	//!< Still waiting for client

/*! @} */
#endif