// win2vcc.h: The one and only header for win2vcc.lib
/*! 
 * \file win2vcc.h
 * \ingroup win2vcc
 * \brief This is the main include file for win2vcc.lib
 *
 * This file should be included to use win2vcc.lib. Please note that
 * the include files highlighted at the end of this document must be 
 * accessible
 */
//////////////////////////////////////////////////////////////////////
#if !defined(__WIN2VCC_H__INCLUDED_)
#define __WIN2VCC_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Ensure that WINVER and _WIN32_WINNT are correctly set
#if (WINVER < 0x0400) || (_WIN32_WINNT < 0x0400)
#error win2vcc.lib requires Windows NT 4 or higher ie WINVER >= 0x0400 && _WIN32_WINNT >= 0x0400
#endif

/*! Makes sure that UNICODE and _UNICODE are defined as necessary */
#if defined(UNICODE)
#if !defined(_UNICODE)
#define _UNICODE
#endif
#elif defined(_UNICODE)
#if !defined(UNICODE)
#define UNICODE
#endif
#endif

#include <windows.h>
#include <tchar.h>

/*! 
 * \brief Ensure that the recent typedefs used in the library are present 
 * These typedefs are required unless the windows includes files are updated
 * to a more recent version.
 */
#ifndef PCTSTR
typedef const TCHAR *PCTSTR;
#endif
#ifndef PTSTR
typedef TCHAR *PTSTR;
#endif

// The Library //
// Please make sure the following files are available

#include "TString.h"
#include "DIBitmap.h"

#include "SWMRG.h"

#include "WaitCallback.h"

#include "errorCodes.h"
//#include "Pipe.h" // included in following
#include "PServer.h"
#include "PClient.h"


#endif //!defined(__WIN2VCC_H__INCLUDED_)