// MousePipe.h: interface for the MousePipe class.
/*! \file MousePipe.h
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOUSEPIPE_H__3CAF9D23_0DF6_4AEC_9D02_EDC13E128B2F__INCLUDED_)
#define AFX_MOUSEPIPE_H__3CAF9D23_0DF6_4AEC_9D02_EDC13E128B2F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*!
 * \class MousePipe
 * \brief A server for sending mouseMessage to VCC
 * \ingroup winDressing
 * This class implements a queue on the pipe.  The queue is 
 * stored 'on' the pipe and is orchestrated using a semaphore.
 */
class MousePipe : public PServer  
{
public:
	bool queueMessage(const int, const int, const int);
	
 	virtual void disconnect();
	virtual bool serve();

	MousePipe(const TString &name);
	virtual ~MousePipe();
private:
	//! The message sent over a mouse pipe
	/*! 
	 * The message sent to VCC consits of x, y co-ordinates 
	 * and the button state. 
	 */
	typedef struct mouseMessage {
		int x;		//!< x co-ordinate
		int y;		//!< y co-ordinate
		int button; //!< 0 = down, 1 = up
	} mouseMessage;

	TString semName;	//!< The semaphore name
    HANDLE numberInQueue;	//!< Handle to the actual semaphore
};

#endif // !defined(AFX_MOUSEPIPE_H__3CAF9D23_0DF6_4AEC_9D02_EDC13E128B2F__INCLUDED_)
